Subject: Re: who fails
From: [email-masked] (David Means)

31 Jul 1997 10:45:31 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <D54B1932FFB4CF11B5C80000F8018BD27DE65C@CRCMAIL>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------870B50F23C2E147F5FE0431D"
X-Mailer: Mozilla 4.01 [en] (Win95; U)
Original-To: "Billinghurst, David" <[email-masked]>
Original-CC: "[email-masked]'" <[email-masked]>
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

This is a multi-part message in MIME format.
--------------870B50F23C2E147F5FE0431D
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Billinghurst, David wrote:
> 
> The b18 version of who.exe gives me:
> 
> bash$ who
> who: /var/run/utmp: No such file or directory
> bash$ who am i
> who: /var/run/utmp: No such file or directory
> 
> Any ideas?
> 
{ snip } 

utmp holds accounting information on unix systems.  There's no such file
(that I'm aware of) for Windows.  I could ramble on about it's internal
structure, but the Solaris man page describes it better than I.

See attached.

:-)

--

David Means
mailto:[email-masked]
--------------870B50F23C2E147F5FE0431D
Content-Type: text/plain; charset=us-ascii; name="utmp.txt"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline; filename="utmp.txt"

utmp(4)                   File Formats                    utmp(4)

NAME
     utmp, wtmp - utmp and wtmp entry formats

SYNOPSIS
     #include <utmp.h>

DESCRIPTION
     utmp and wtmp hold user and accounting information for  com-
     mands  such  as who, write, and login.  These files have the
     following structure, defined in <utmp.h>:

     #define  UTMP_FILE                  "/var/adm/utmp"
     #define  WTMP_FILE                  "/var/adm/wtmp"
     #define  ut_name                    ut_user

     struct utmp {
              char  ut_user[8];          /* user login name */
              char  ut_id[4];            /* /sbin/inittab id (created by */
                                         /* process that puts entry in utmp) */
              char  ut_line[12];         /* device name (console, lnxx) */
              short ut_pid;              /* process id */
              short ut_type;             /* type of entry */
              struct exit_status {
                   short e_termination;  /* process termination status */
                   short e_exit;         /* process exit status */
              } ut_exit;                 /* exit status of a process
                                         /* marked as DEAD_PROCESS */
              time_t ut_time;            /* time entry was made */
     };
     /*  Definitions for ut_type  */
     #define  EMPTY          0
     #define  RUN_LVL        1
     #define  BOOT_TIME      2
     #define  OLD_TIME       3
     #define  NEW_TIME       4
     #define  INIT_PROCESS   5         /* process spawned by "init" */
     #define  LOGIN_PROCESS  6         /* a "getty" process waiting for login */
     #define  USER_PROCESS   7         /* a user process */
     #define  DEAD_PROCESS   8
     #define  ACCOUNTING     9
     #define  UTMAXTYPE      ACCOUNTING  /* max legal value of ut_type */
     /*  Below are special strings or formats used in the "ut_line"  */
     /*  field when  accounting for something other than a process.  */
     /*  No string for the ut_line field can be more than 11 chars + */
     /*  a null character in length.  */
     #define  RUNLVL_MSG     "run-level %c"
     #define  BOOT_MSG       "system boot"
     #define  OTIME_MSG      "old time"
     #define  NTIME_MSG      "new time"

FILES
     /var/adm/utmp

SunOS 5.5.1          Last change: 3 Jul 1990                    1

utmp(4)                   File Formats                    utmp(4)

     /var/adm/wtmp

SEE ALSO
     login(1), who(1), write(1)

SunOS 5.5.1          Last change: 3 Jul 1990                    2

--------------870B50F23C2E147F5FE0431D--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".